[Google+ Plugin] ERROR 502 – BAD GATEWAY stems from Google+ Plugin

The plugin is making 3rd party API calls and BH can't tell why it is failing but it is failing to do so and returning the site to a 502 error.

I deactivated the plugin from the WPMU site and then deleted it from the site.

Please advise why this is occurring.


Original Message


From: Bluehost Support [mailto:jweatherwax@bluehost.com]

Sent: Monday, May 7, 2018 8:39 PM

To: dhannes@develop4u.com

Subject: Error Log Inoformation

Hello,

Here is the error log:

[08-May-2018 03:00:20 UTC] PHP Fatal error: Uncaught exception

'Google_ServiceException' with message 'Error calling GET

https://www.googleapis.com/plus/v1/people/100466953585343842622/activities/public?maxResults=5:

(403) Daily Limit for Unauthenticated Use Exceeded. Continued use

requires signup.' in

/home2/healtkb9/public_html/wp-content/plugins/wpmu-dev-plusone/lib/external/google/io/Google_REST.php:67

Stack trace:

#0 /home2/healtkb9/public_html/wp-content/plugins/wpmu-dev-plusone/lib/external/google/io/Google_REST.php(37):

Google_REST::decodeHttpResponse(Object(Google_HttpRequest))

#1 /home2/healtkb9/public_html/wp-content/plugins/wpmu-dev-plusone/lib/external/google/service/Google_ServiceResource.php(177):

Google_REST::execute(Object(Google_HttpRequest))

#2 /home2/healtkb9/public_html/wp-content/plugins/wpmu-dev-plusone/lib/class_wdgpo_google_auth.php(140):

Google_ServiceResource->__call('list', Array)

#3 /home2/healtkb9/public_html/wp-content/plugins/wpmu-dev-plusone/lib/class_wdgpo_google_auth.php(140):

Google_ActivitiesServiceResource->list(Ar in

/home2/healtkb9/public_html/wp-content/plugins/wpmu-dev-plusone/lib/external/google/io/Google_REST.php

on line 67

-Thank you

  • Predrag Dubajic
    • Support

    Hi David,

    Hope you’re doing well.

    I’m afraid that Google+ has been retired a long time ago and we can no longer offer support for it, you can read more about our retired plugins here:

    https://premium.wpmudev.org/retiring-our-legacy-plugins/

    Since the plugin was not developed in quite some time and there were a number of changes to both Google API and WordPress itself it’s quite possible that the plugin will no longer work.

    You could try going to your Google Console settings and make sure that Google+ API is enabled and that in the plugin settings you have correct Client ID and Client Secret values used as those are the most common issues for the above-mentioned error.

    Best regards,

    Predrag

Thank NAME, for their help.

Let NAME know exactly why they deserved these points.

Gift a custom amount of points.